Autor Tema: ¿Requisitos minimo de wifislax 4.4.5?  (Leído 9425 veces)

0 Usuarios y 1 Visitante están viendo este tema.

Celebii

  • Visitante
¿Requisitos minimo de wifislax 4.4.5?
« en: 16-06-2013, 14:17 (Domingo) »
Hola muy buenas!!

Próximamente voy a adquirir una raspberry pi y quería saber cuales son los requisitos mínimos para saber si puedo correr fluidamente wifislax en la raspberry pi

Saludos!!



Desconectado sanson

  • Moderador Global
  • *
  • Mensajes: 8382
Re: Re: ¿Requisitos minimo de wifislax 4.4.5?
« Respuesta #1 en: 16-06-2013, 15:11 (Domingo) »
Hola

Wifislax aun no corre en arquitecturas ARM  así que no es posible, aun......

Saludos

Celebii

  • Visitante
Re: ¿Requisitos minimo de wifislax 4.4.5?
« Respuesta #2 en: 17-06-2013, 02:40 (Lunes) »
 :'( :'( :'( :'( :'( :'( :'( :'(

ups que lastima!!

hablando desde la ignorancia costaría mucho adaptarla?  :-\

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14689
Re: ¿Requisitos minimo de wifislax 4.4.5?
« Respuesta #3 en: 17-06-2013, 03:42 (Lunes) »
:'( :'( :'( :'( :'( :'( :'( :'(

ups que lastima!!

hablando desde la ignorancia costaría mucho adaptarla?  :-\

imaginate que habria que hacerla desde cero ..no se puede adaptar.

¿ puedes hecharle gasolina a un coche diesel ? ...  ¿ cuanto costaria adaptarlo ?


pues extrapola .... cambiar el motor de la live , .... osea todo.

xSixto92x

  • Visitante
Re: ¿Requisitos minimo de wifislax 4.4.5?
« Respuesta #4 en: 25-08-2013, 12:26 (Domingo) »
Hola amigos, ¿tenéis idea si alguien esta trabajando para hacer correr Wifislax en arquitecturas ARM? (Es simple curiosidad dado que yo también tengo una Raspberry Pi y me gustaría estar informado)

Muchas gracias!  :)

Desconectado drvalium

  • Moderador Global
  • *
  • Mensajes: 17387
  • Misántropo
Re: Re: ¿Requisitos minimo de wifislax 4.4.5?
« Respuesta #5 en: 25-08-2013, 13:53 (Domingo) »
Hola

Wifislax aun no corre en arquitecturas ARM  así que no es posible, aun......

Saludos

xSixto92x

  • Visitante
Re: ¿Requisitos minimo de wifislax 4.4.5?
« Respuesta #6 en: 25-08-2013, 18:41 (Domingo) »
Leí por el foro que había una posibilidad para crear un live para ARM (os dejo el link: https://foro.seguridadwireless.net/problemas-con-el-foro-y-los-portales-web/posibilidad-de-crear-una-live-para-la-arquitectura-arm/) pero no se si ha proliferado la idea.

Me gustaría, la verdad.

Gracias de todas formas.

alist3r

  • Visitante
Re: ¿Requisitos minimo de wifislax 4.4.5?
« Respuesta #7 en: 25-08-2013, 19:41 (Domingo) »
celebi
hola melon!
te recuerdo que kali si funciona en raspberri pi.
te pillo por gtalk con calma y te paso las imágenes de desarrollo para que lo pruebes
para que te hagas una idea:
http://es.docs.kali.org/category/06-arquitectura-arm-de-kali
las traducciones españolas las tenemos en bragas pero...
http://docs.kali.org/armel-armhf/install-kali-linux-arm-raspberry-pi
« Última modificación: 25-08-2013, 19:47 (Domingo) por alister »

alist3r

  • Visitante
Re: ¿Requisitos minimo de wifislax 4.4.5?
« Respuesta #8 en: 25-08-2013, 19:43 (Domingo) »
Leí por el foro que había una posibilidad para crear un live para ARM (os dejo el link: https://foro.seguridadwireless.net/problemas-con-el-foro-y-los-portales-web/posibilidad-de-crear-una-live-para-la-arquitectura-arm/) pero no se si ha proliferado la idea.

Me gustaría, la verdad.

Gracias de todas formas.

montar un sistema linux que corra en arquitectura ARM es cuestion de media tarde de trabajo.

no sé quién te ha dicho que no ha proliferado la idea, pero (sorry, dices que no sabes si ha proliferado)
en debian llevamos años funcionando en plataformas ARM, y hay cantidad de distros basadas en debian por lo tanto hay variedad de opciones a elegir.

echa un vistazo en google

"distribuciones linux para ARM"
« Última modificación: 25-08-2013, 19:49 (Domingo) por alister »

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 14689
Re: ¿Requisitos minimo de wifislax 4.4.5?
« Respuesta #9 en: 25-08-2013, 21:22 (Domingo) »
slackware tambien corre en arm , ( que luego parece que solo debina puede hacer cosas ).

El problema es , quien es el guapo , que lo hace , por que yo , paso 3 pueblos, ( o mas si hace falta ).


Hay paqueteria ARM , de slackware 14 ( mismo sistema que usa wifislax actualmente de base ) ,pero hay que crear el sistema de cero.

SpanishGroove

  • Visitante
Re: ¿Requisitos minimo de wifislax 4.4.5?
« Respuesta #10 en: 25-08-2013, 21:36 (Domingo) »
Porque no instalas Debian para ARM y compilas los Scripts-herramientas?

Por cierto, que tal se porta el bicho?  ^-^  >:D

warcry

  • Visitante
Re: ¿Requisitos minimo de wifislax 4.4.5?
« Respuesta #11 en: 25-08-2013, 21:39 (Domingo) »
perdon que me entromenta, pero...

el problema creo que no es hacer una live que corra con dispositivos arm, el problema es hacer ESTA live para dispositivos arm ;)

una live de auditorias wireless en la cual no se pueden poner los interfaces en modo monitor, ni inyectar paquetes... EH AHI EL VERDADERO PROBLEMA.

hay algunos dispositivos que ya son compatibles, entran en modo monitor e inyectan paquetes, pero, no es lo general.

SpanishGroove

  • Visitante
Re: ¿Requisitos minimo de wifislax 4.4.5?
« Respuesta #12 en: 25-08-2013, 21:42 (Domingo) »
Pero creo que el amigo Celebi, en este caso tiene tarjeta USB, que si es un estandard para esos dispositivos.

warcry

  • Visitante
Re: ¿Requisitos minimo de wifislax 4.4.5?
« Respuesta #13 en: 25-08-2013, 22:07 (Domingo) »
Pero creo que el amigo Celebi, en este caso tiene tarjeta USB, que si es un estandard para esos dispositivos.

creo que estas mezclando churras con merinas, no tiene nada que ver que sea un chipset integrado y un chipset usb, si no tienes los drivers compilados para hacerlos correr en modo monitor te vas a comer un colin.

Pero eso os pasa por compraros dispositivos arm, pudiendo compraros dispositivos tactiles x86 o x64 compaitbles al 100% con un pc normal.

en fin, cuanto daño ha hecho el smartphone  ;D

SpanishGroove

  • Visitante
Re: ¿Requisitos minimo de wifislax 4.4.5?
« Respuesta #14 en: 25-08-2013, 22:29 (Domingo) »
Pero eso es algo normalmente ético. Si no hay comida, no comes.
Pero cada cual, tiene herramientas y puede adquirir conocimientos como para hacer el driver.

Jeje, si estoy contigo en lo de los smartphones. Está atontando al mundo, y sentenciandolo a su inseguridad informatica y monopolio aplicacional.

Desconectado drvalium

  • Moderador Global
  • *
  • Mensajes: 17387
  • Misántropo
Re: ¿Requisitos minimo de wifislax 4.4.5?
« Respuesta #15 en: 25-08-2013, 23:13 (Domingo) »
hi

celebii no lo quiere para un dispositivo móvil

Próximamente voy a adquirir una raspberry pi y quería saber cuales son los requisitos mínimos para saber si puedo correr fluidamente wifislax en la raspberry pi

   http://www.raspberrypi.org/faqs

un saludo

alist3r

  • Visitante
Re: ¿Requisitos minimo de wifislax 4.4.5?
« Respuesta #16 en: 26-08-2013, 02:19 (Lunes) »
slackware tambien corre en arm , ( que luego parece que solo debina puede hacer cosas ).

El problema es , quien es el guapo , que lo hace , por que yo , paso 3 pueblos, ( o mas si hace falta ).


Hay paqueteria ARM , de slackware 14 ( mismo sistema que usa wifislax actualmente de base ) ,pero hay que crear el sistema de cero.

pues esa basicamente es la difrencia entre "a ver quien es el guapo que lo hace" y tener miles de personas a tus espaldas para que tú solo tengas que preocuparte de lo importante, que son los programas que le dan sentido al motor. motores, con uno para todos ya tenemos, y repetir la construcción de motores desde cero condena a las distros a ciclos de desarrollo subóptimos.

por eso remoteexploit pasó a debian, cumple sus estándares de paqueteria y de FSH y ahora se apoya en una distro base con un equipo de miles de desarrolladores que hacen el sistema base y lo mantienen actualizado y compatible con varias arquitecturas. asi solo hay que preocuparse del software especifico de la metadistro y de poco mas.

es una cuestion de recursos; un equipo humano no podria estar manteniendo una distro como kali, con varios escritorios a elegir, con varias arquitecturas a elegir, y con todos los programas necesarios siempre a la última o como mucho a la penúltima.

la ventaja de slax es la enorme flexibilidad a la hora de ponerla en marcha como quieras, pero tanto su sistema de paquetes como su sistema live traen toda la dificultad y lentitud que tendrias con un sistema linux from scratch, haciéndola menos viable a nivel de distribución y actualización (sin errores) masivas.

actualmente, para rpi, kali es la opcion mas sensata para usuarios como celebii. son dos minutos y tienes un sistema listo para usar.
« Última modificación: 26-08-2013, 02:30 (Lunes) por alister »

alist3r

  • Visitante
Re: ¿Requisitos minimo de wifislax 4.4.5?
« Respuesta #17 en: 26-08-2013, 02:22 (Lunes) »
Porque no instalas Debian para ARM y compilas los Scripts-herramientas?

Por cierto, que tal se porta el bicho?  ^-^  >:D

es lento de narices. pero el nucleo arm es capaz de manejar casi los mismos dispositivos wireless usb que en su version x86_64, asi que las aplicaciones mas basicas como airodump y aireplay pueden desenvolverse bien.

aircrack es otro cantar; no esperes Auditar una WPA de orange con eso! jejeje
pero para patrones mas acotados o para WEP, es razonable.
« Última modificación: 26-08-2013, 02:28 (Lunes) por alister »

xSixto92x

  • Visitante
Re: ¿Requisitos minimo de wifislax 4.4.5?
« Respuesta #18 en: 26-08-2013, 19:56 (Lunes) »
Siendo sincero, para lo único que quería saber si podía correr es porque quiero basar mi proyecto de fin de ciclo superior de año que viene en seguridad wireless y en la posibilidad de usar un dispositivo ARM (En este caso las Raspberry Pi que compré hace cosa de 1 año) como herramienta de testeo para no tener que ir de reinicio en reinicio o usando maquinas virtuales de VMWare, simplemente porque mi portátil (único PC que tengo ahora mismo disponible) las hace correr a 512MB, que es lo mismo que la Raspi, y ya que la tenía muerta de asco, pues de paso la utilizaba y le daba un servicio útil.

Muchas gracias igualmente.

Pd. Próximamente abriré un nuevo tema para hacer un poco de recopilación de información para el futuro proyecto, dado que me interesa mucho enfocarlo a la seguridad informática. Me gustaría que si os apetece, paséis y dejéis vuestras ideas. Gracias de nuevo.

alist3r

  • Visitante
Re: ¿Requisitos minimo de wifislax 4.4.5?
« Respuesta #19 en: 26-08-2013, 20:05 (Lunes) »
Siendo sincero, para lo único que quería saber si podía correr es porque quiero basar mi proyecto de fin de ciclo superior de año que viene en seguridad wireless y en la posibilidad de usar un dispositivo ARM (En este caso las Raspberry Pi que compré hace cosa de 1 año) como herramienta de testeo para no tener que ir de reinicio en reinicio o usando maquinas virtuales de VMWare, simplemente porque mi portátil (único PC que tengo ahora mismo disponible) las hace correr a 512MB, que es lo mismo que la Raspi, y ya que la tenía muerta de asco, pues de paso la utilizaba y le daba un servicio útil.

Muchas gracias igualmente.

Pd. Próximamente abriré un nuevo tema para hacer un poco de recopilación de información para el futuro proyecto, dado que me interesa mucho enfocarlo a la seguridad informática. Me gustaría que si os apetece, paséis y dejéis vuestras ideas. Gracias de nuevo.

si quieres usar ARM para un proyecto de seguridad IT, te recomiendo que no te encabezones en la seguridad wireless ya que es la rama mas coja dentro de ARM.
En cambio, si te orientas a sniffers, man in the middle, bypass de SSL, robo de contraseñas e imágenes en el tráfico de la red, etc., se puede portar mucho mas código desde la plataforma x86_64, y puedes hacer un dispositivo espia de redes muy interesante con relativamente poco trabajo.

Ahi lo dejo. Ya irás viendo tú mismo!
Saludos,
AA

//FINAL Y MÁS DOS RESPUESTAS